Bug 640040 - Create a new trait for server build date
Summary: Create a new trait for server build date
Status: CLOSED WONTFIX
Alias: None
Product: RHQ Project
Classification: Other
Component: Monitoring
Version: 4.0.0
Hardware: All
OS: All
low
low vote
Target Milestone: ---
: ---
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon3
TreeView+ depends on / blocked
 
Reported: 2010-10-04 15:39 UTC by Corey Welton
Modified: 2014-05-02 18:05 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-05-02 18:05:13 UTC


Attachments (Terms of Use)
screenshot (22.55 KB, image/png)
2010-10-04 15:43 UTC, Corey Welton
no flags Details

Description Corey Welton 2010-10-04 15:39:36 UTC
Description of problem:
Currently for a JON/RHQ server, the Trait value for "Build Date" is that of the underlying JBoss Server.  Should probably make this something a little more useful/contextual.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Navigate to Monitoring > Traits subtab for a platform that hosts a jon/rhq server
2.  Note value of trait for RHQ server's "Build Date"

  
Actual results:
Value appearing is that of the underlying jboss server.

Expected results:
something more useful.

Additional info:

[11:15] <@cswiii> anyone know why I would have a Build Date of "July 18, 2008" as the Trait for an RHQ Server?
[11:15] <@cswiii> what's the significance, if any, of July 18, 2008?
[11:16] < joseph> when the version of the underlying jbossas binary was built
[11:16] <@cswiii> ahh ok
[11:17] < joseph> perhaps we should have our own trait in the rhq-server plugin for the rhq/jon-server build date
[11:35] <@ips> joseph: we could add a trait for git rev too
[11:36] < joseph> and jon would be svn rev?


See forthcoming screenshot

Comment 1 Corey Welton 2010-10-04 15:43:29 UTC
Created attachment 451442 [details]
screenshot

Comment 2 Ian Springer 2011-02-15 21:43:16 UTC
We won't do this for RHQ 4.0, but it's a possibility for JON 3.0.


Note You need to log in before you can comment on or make changes to this bug.